Bug Hunting Session
Bug 128139 - CRASH: typing text while macro recording is active
Summary: CRASH: typing text while macro recording is active
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-14 12:06 UTC by Xisco Faulí
Modified: 2019-10-16 10:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-14 12:06:28 UTC
Steps to reproduce:
1. Enable macro recording from Tool - Option - Advanced options
2. Tools - Macros - Record Macro
3. Type something in the document

-> Crash!

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 9b5dad13b56bdde7c40970351af3da3a2c3c9350
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-14 12:07:35 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ef2ec07b4113fdadf863352c832af657b5ae205c

author	Mike Kaganski <mike.kaganski@collabora.com>	2019-10-07 17:46:36 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-10-08 14:30:55 +0200
commit	ef2ec07b4113fdadf863352c832af657b5ae205c (patch)
tree	8cf3b8cd14fb3aca94c8c8838223553044cc43e1
parent	cf1b5ae4c5f7c9111a745199ac993742f9007263 (diff)
tdf#128009: Allow spaces in AutoText suggestions

Bisected with: bibisect-linux64-6.4

Adding Cc: to Mike Kaganski
Comment 2 Mike Kaganski 2019-10-14 15:44:56 UTC
https://gerrit.libreoffice.org/80782
Comment 3 Commit Notification 2019-10-14 18:53:38 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8a69d0212fa7e3f7f8f2ccf29f9393b9414282a2

tdf#128139: add missing nullptr check

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-10-16 10:00:51 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: e2d82611088677f8ec9f038639567f2d7c699b5e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for fixing this issue!